> For the complete documentation index, see [llms.txt](https://docs.fieldmotion.com/fieldmotion-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldmotion.com/fieldmotion-api-docs/customerassets/_getdt.md).

# \_getDT

Returns Customer Assets details

### Parameters

#### cid

Customer ID

#### dateFrom

The date to retrieve customer assets details from in format YYYY/MM/DD

#### dateTo

The date to retrieve customer assets details to in format YYYY/MM/DD

#### start

where to start from e.g, by default, page 2 should be set to 10

#### length

number of results

#### order

order to display the results in, asc or desc.

#### draw

### Example

FM\_api('CustomerAssets\_getDT', \['cid' => '1','dateFrom' => '2018-01-01', 'dateTo' => '2019-01-02', 'start' => '0','order' => '', 'draw' => '1', 'length' => '10'])

#### On Success

```
{"draw":1,"recordsTotal":"3","recordsFiltered":"5","data":[["1","4353","Extinguisher","0.00","Fire",[null,null],["1","1"],"2018-09-24 11:33:51","Yes","1"],["5","3246","Fire alarm","0.00","Fire",["0000-00-00 00:00:00",null],["1","1"],"2018-09-24 11:39:24","No","5"],["7","5742","Fire alarm 3","0.00","Fire",[null,null],["0","6"],"2018-09-24 11:40:09","Yes","7"],["12","7534","Fire Hose","0.00","Fire",[null,null],["1","1"],"2018-09-27 12:23:33","Yes","12"],["15","","FIN TEST","0.00","Fire",[null,null],["1","1"],"...
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/customerassets/_getdt.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
